Main Page Class Hierarchy Compound List File List Compound Members File Members

# ws_client.h File Reference

Go to the source code of this file.

## Compounds
struct | _WS_MENU_REC
struct | _WS_PSCN_REC
struct | TRACE_REQ
struct | WS_MENU_QUEUE_REC
## Defines
#define | WS_ERR_NONE 1
#define | WS_ERR_NO_CONNECTION -1
#define | WS_ERR_BROKEN_CONNECTION -3
#define | WS_ERR_MEMORY -4
#define | WS_ERR_BUFFER_OVERFLOW -5
#define | WS_ERR_EMPTY_MENU -6
#define | WS_ERR_SCN_NOT_IN_MENU -7
#define | WS_ERR_SERVER_NOT_IN_MENU -8
#define | WS_ERR_INPUT -9
#define | WS_ERR_TIMEOUT -10
#define | WS_ERR_FLAGGED -11
#define | WS_ERR_PARSE -12
#define | WS_ERR_GENERIC -99
#define | wsADRLEN 16
#define | wsREQLEN 256
#define | wsREPLEN 8192
## Typedefs
typedef _WS_PSCN_REC * | WS_PSCN
typedef _WS_PSCN_REC | WS_PSCN_REC
typedef _WS_MENU_REC * | WS_MENU
typedef _WS_MENU_REC | WS_MENU_REC
## Functions
int | wsAppendMenu (char *, char *, long)
int | wsGetMenu (WS_MENU *)
int | wsGetServerPSCN (char *, char *, WS_PSCN *)
void | wsKillMenu ()
int | wsGetServerPSCN (char *, char *, WS_PSCN *, WS_MENU_QUEUE_REC *)
int | wsGetTraceBin (TRACE_REQ *)
int | wsGetTraceAscii (TRACE_REQ *)

## Define Documentation

#define WS_ERR_BROKEN_CONNECTION -3

| Definition at line 30 of file ws_client.h. Referenced by wsAppendMenu(), wsGetTraceAscii(), wsGetTraceBin(), wsWaitAscii(), and wsWaitBinHeader().

#define WS_ERR_BUFFER_OVERFLOW -5

| Definition at line 32 of file ws_client.h. Referenced by wsAppendMenu(), wsGetTraceAscii(), wsGetTraceBin(), wsWaitAscii(), and wsWaitBinHeader().

#define WS_ERR_EMPTY_MENU -6

| Definition at line 33 of file ws_client.h. Referenced by wsAppendMenu(), wsGetServerPSCN(), wsGetTraceAscii(), wsGetTraceBin(), and wsSearchSCN().

#define WS_ERR_FLAGGED -11

| Definition at line 38 of file ws_client.h.

#define WS_ERR_GENERIC -99

| Definition at line 40 of file ws_client.h.

#define WS_ERR_INPUT -9

| Definition at line 36 of file ws_client.h. Referenced by wsAppendMenu(), wsAttachServer(), wsGetTraceBin(), wsParseAsciiHeaderReply(), wsParseBinHeaderReply(), wsParseMenuReply(), wsWaitAscii(), and wsWaitBinHeader().

#define WS_ERR_MEMORY -4

| Definition at line 31 of file ws_client.h. Referenced by wsAppendMenu(), and wsParseMenuReply().

#define WS_ERR_NO_CONNECTION -1

| Definition at line 29 of file ws_client.h. Referenced by wsAppendMenu(), wsAttachServer(), wsGetTraceAscii(), and wsGetTraceBin().

#define WS_ERR_NONE 1

| Definition at line 28 of file ws_client.h. Referenced by wsAppendMenu(), wsAttachServer(), wsGetServerPSCN(), wsGetTraceAscii(), wsGetTraceBin(), wsParseAsciiHeaderReply(), wsParseBinHeaderReply(), wsParseMenuReply(), wsSearchSCN(), wsWaitAscii(), and wsWaitBinHeader().

#define WS_ERR_PARSE -12

| Definition at line 39 of file ws_client.h. Referenced by wsAppendMenu(), wsGetTraceBin(), wsParseAsciiHeaderReply(), wsParseBinHeaderReply(), and wsParseMenuReply().

#define WS_ERR_SCN_NOT_IN_MENU -7

| Definition at line 34 of file ws_client.h. Referenced by wsSearchSCN().

#define WS_ERR_SERVER_NOT_IN_MENU -8

| Definition at line 35 of file ws_client.h. Referenced by wsGetServerPSCN().

#define WS_ERR_TIMEOUT -10

| Definition at line 37 of file ws_client.h. Referenced by wsAppendMenu(), wsGetTraceAscii(), wsGetTraceBin(), wsWaitAscii(), and wsWaitBinHeader().

#define wsADRLEN 16

| Definition at line 77 of file ws_client.h. Referenced by wsAppendMenu().

#define wsREPLEN 8192

| Definition at line 79 of file ws_client.h.

#define wsREQLEN 256

| Definition at line 78 of file ws_client.h. Referenced by wsAppendMenu(), wsGetTraceAscii(), and wsGetTraceBin().

## Typedef Documentation

typedef struct _WS_MENU_REC* WS_MENU

| Definition at line 95 of file ws_client.h.

typedef struct _WS_MENU_REC WS_MENU_REC

typedef struct _WS_PSCN_REC* WS_PSCN

| Definition at line 82 of file ws_client.h.

typedef struct _WS_PSCN_REC WS_PSCN_REC

## Function Documentation

int wsAppendMenu | ( | char * | ,
|  | char * | ,
|  | long |
| ) |

int wsGetMenu | ( | WS_MENU * |  | ) |

int wsGetServerPSCN | ( | char * | ,
|  | char * | ,
|  | WS_PSCN * | ,
|  | WS_MENU_QUEUE_REC * |
| ) |

| Definition at line 497 of file ws_clientII.c.

int wsGetServerPSCN | ( | char * | ,
|  | char * | ,
|  | WS_PSCN * |
| ) |

int wsGetTraceAscii | ( | TRACE_REQ * |  | ) |

int wsGetTraceBin | ( | TRACE_REQ * |  | ) |

void wsKillMenu | ( |  | ) |